#
# spec file for package anthy (Version 1800b)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         anthy
Copyright:    GPL
Group:        Extensions/Japanese
Autoreqprov:  on
Version:      1800b
Release:      17
URL:          http://www.kmc.kyoto-u.ac.jp/proj/heke/
#Original source: http://www.kmc.kyoto-u.ac.jp/proj/heke/anthy-1800b.tar.gz
Source0:      http://www.kmc.kyoto-u.ac.jp/proj/heke/anthy-1800b.tar.bz2
# Original source: http://cgi3.osk.3web.ne.jp/~nowaki/computer/cannadic-0.92.tar.gz
Source1:      http://cgi3.osk.3web.ne.jp/~nowaki/computer/cannadic-0.92.tar.bz2
# the cannadic tarball is already contained in the source rpm of cannadic
# it would be wasteful to have it twice in our distribution:
NoSource:     1
BuildRoot:    %{_tmppath}/%{name}-root/
Summary:      kana-kanji conversion engine
# Summary(ja): ̾Ѵ󥸥
# Anthy(Ancy)
# 
# PC-UnixѤβ̾Ѵ󥸥ȤƤ Canna FreeWnnͭ̾Ǥ 
# 1990ǯιUnixơΤ˳ȯ졢 ե꡼
# ʤΤγȯϤۤߤƤ֤Ǥ HekeץȤǤϿ
# 󥸥򼭽ƥե륹å ȯԤäƤޤ
#
# ԡ
# ------
#     Ȫ ͪ <yusuke@kmc.kyoto-u.ac.jp>

%description
Anthy (previously called 'Ancy'):
Canna, FreeWnn etc. are famous kana-kanji conversion engines which are
usable for Unix on PCs. But they have been originally developed for
Japanese Unix workstations around 1990 and the development of them has
practically stopped.  Therefore the 'Heke'-project is writing a free
conversion engine from scratch (apart from the dictionary, which is
developed outside of the 'Heke'-Project).

Authors:
--------
    TAHATA Yuusuke <yusuke@kmc.kyoto-u.ac.jp>

SuSE series: j

%package -n anthy-devel
Summary:      header file and libraries of Anthy
Group: Development/Libraries
# Summary(ja): Anthy Υإåեڤӥ饤֥Ǥ
# %description -n kakaside -l ja
# Anthy Υإåեڤӥ饤֥Ǥ

%description -n anthy-devel
header file and libraries of Anthy

Authors:
--------
    TAHATA Yuusuke <yusuke@kmc.kyoto-u.ac.jp> 
    

SuSE series: j

%prep
%setup0 -n %{name}-1800 -a 1
pushd mkanthydic/
   ln -s ../cannadic-*/*.t .
popd

%build
rm -f config.cache
# update config.{guess,sub}
%{?suse_update_config}
export CFLAGS="$RPM_OPT_FLAGS" 
./configure --prefix=/usr \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
            %{_target_cpu}-suse-linux
make 
cd test
./test_anthy --all

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files -n anthy
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog DIARY INSTALL NEWS README
%doc doc
/usr/share/anthy/
/usr/lib/anthy/
/usr/bin/*
/usr/lib/*.so.*

%files -n anthy-devel
%defattr(-, root, root)
/usr/include/anthy/
/usr/lib/*.so
/usr/lib/*.*a

%changelog -n anthy
* Sat Sep 08 2001 - mfabian@suse.de
- new package: Anthy, version 1800b
